/*  Project LP5100
    Siemens Communications Ltd
    Copyright  1994. All Rights Reserved.

    SUBSYSTEM:    Application
    FILE:         md5_if.h
    AUTHOR:	      Pete Frost


    OVERVIEW
    ========
    Definition file for	a wrapper interface to the MD5 algorithm	
*/


#ifndef Md5if_h
#define Md5if_h

#ifdef __cplusplus
extern "C" {
#endif

#define MD5_MAX_INBUF_LEN	64
#define MD5_OUTBUF_LEN		16
#define MD5_ASCII_BUF_LEN	32

extern void MD5Convert(unsigned char *,unsigned int ,unsigned char *);
extern void MD5AsciiTransform(unsigned char *,unsigned char *);

#ifdef __cplusplus
}
#endif

#endif
